package com.tzld.longarticle.recommend.server.service.video;

import com.alibaba.fastjson.JSONObject;
import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.ChooseMinigramParam;
import com.tzld.longarticle.recommend.server.model.param.GetOffVideosParam;
import com.tzld.longarticle.recommend.server.model.param.RecallVideosParam;
import com.tzld.longarticle.recommend.server.model.param.SearchVideoParam;

import java.io.UnsupportedEncodingException;

public interface MatchVideoService {
    JSONObject searchVideo(SearchVideoParam searchVideoParam);

    JSONObject chooseMinigram(ChooseMinigramParam chooseMinigramParam);

    JSONObject getOffVideos(GetOffVideosParam getOffVideosParam);

    JSONObject recallVideos(RecallVideosParam recallVideosParam);
}
