package com.tzld.longarticle.recommend.server.common.enums.recommend;

public enum ScoreStrategyEnum {
    ACCOUNT_PRE_DISTRIBUTE("AccountPreDistributeStrategy"),
    CATEGORY("CategoryStrategy"),
    CONTENT_POOL("ContentPoolStrategy"),
    FLOW_CTL_DECREASE("FlowCtlDecreaseStrategy"),
    HIS_FISSION_AVG_READ_RATE_CORRELATION_RATE("HisFissionAvgReadRateCorrelationRateStrategy"),
    HIS_FISSION_AVG_READ_RATE_RATE("HisFissionAvgReadRateRateStrategy"),
    HIS_FISSION_AVG_READ_SUM_RATE("HisFissionAvgReadSumRateStrategy"),
    HIS_FISSION_DE_WEIGHT_AVG_READ_SUM_RATE("HisFissionDeWeightAvgReadSumRateStrategy"),
    HIS_FISSION_FANS_RATE_RATE("HisFissionFansRateRateStrategy"),
    HIS_FISSION_FANS_SUM_RATE("HisFissionFansSumRateStrategy"),
    HIS_FISSION_OPEN_RATE("HisFissionOpenRateStrategy"),
    PUBLISH_TIMES("PublishTimesStrategy"),
    SIMILARITY("SimilarityStrategy"),
    VIEW_COUNT_RATE_CORRELATION("ViewCountRateCorrelationStrategy"),
    VIEW_COUNT_RATE("ViewCountRateStrategy"),
    VIEW_COUNT_RATE_V2("ViewCountRateV2Strategy"),
    VIEW_COUNT("ViewCountStrategy"),
    VIEW_MULTIPLIER("ViewMultiplierStrategy"),
    CRAWLER_DAYS_DECREASE_STRATEGY("CrawlerDaysDecreaseStrategy"),
    ;

    private final String value;

    ScoreStrategyEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }
}
