package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesText;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LongArticlesTextRepository extends JpaRepository<LongArticlesText, String> {
    List<LongArticlesText> getByContentIdIn(List<String> contentIds);

    LongArticlesText getByContentId(String contentId);
}
